<p:declare-step xmlns:p="http://www.w3.org/ns/xproc">
        <p:input port="source">
            <p:document href="document.xml"/>
        </p:input>
        <p:output port="result">
            <p:pipe step="uuid" port="result"/>
        </p:output>
    

    <p:validate-with-xml-schema assert-valid="true" mode="strict" name="xsdValidation">
        <p:input port="schema">
            <p:document href="check-classifications.xsd"/>
        </p:input>
    </p:validate-with-xml-schema>

    
    <p:validate-with-schematron phase="classificationValidation" name="checkClassifications">
        <p:input port="source">
            <p:pipe step="xsdValidation" port="result" />
        </p:input>
        <p:input port="schema">
            <p:document href="check-classifications-and-reserved-words.sch"/>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:validate-with-schematron>
    
    
    <p:validate-with-schematron phase="reservedWordValidation" name="checkReservedWords">
        <p:input port="source">
            <p:pipe step="checkClassifications" port="result" />
        </p:input>
        <p:input port="schema">
            <p:document href="check-classifications-and-reserved-words.sch"/>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:validate-with-schematron>
    

    <p:insert position="first-child" match="/Document" name="insertTrackingElement">
        <p:input port="source">
            <p:pipe step="checkReservedWords" port="result" />
        </p:input>
        <p:input port="insertion">
            <p:inline>
                <TrackingNumber> </TrackingNumber>
            </p:inline>
        </p:input>
    </p:insert>

    
    <p:uuid match="/Document/TrackingNumber/text()" name="uuid">
        <p:input port="source">
            <p:pipe step="insertTrackingElement" port="result" />
        </p:input>
    </p:uuid>

</p:declare-step>