<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" 
                xmlns:px="http://www.example.org" 
                name="myPipeline">
        <p:input port="source">
            <p:document href="BookStore.xml"/>
        </p:input>
        <p:output port="result"/>
    
    <p:declare-step xmlns:c="http://www.w3.org/ns/xproc-step"
                    type="px:is-valid"
                    name="is-valid">
            <p:input port="source" primary="true"/>
            <p:input port="schema" sequence="true"/>
            <p:output port="result" primary="true"/>
            <p:option name="mode" select="'strict'"/>
        
        <p:try>
            <p:group>
                <p:validate-with-xml-schema assert-valid="true">
                    <p:input port="source">
                        <p:pipe step="is-valid" port="source"/>
                    </p:input>
                    <p:input port="schema">
                        <p:pipe step="is-valid" port="schema"/>
                    </p:input>
                    <p:with-option name="mode" select="$mode"/>
                </p:validate-with-xml-schema>
                <p:identity>
                    <p:input port="source">
                        <p:inline><c:result>true</c:result></p:inline>
                    </p:input>
                </p:identity>
            </p:group>
            <p:catch>
                <p:identity>
                    <p:input port="source">
                        <p:inline><c:result>false</c:result></p:inline>
                    </p:input>
                </p:identity>
            </p:catch>
        </p:try>
    </p:declare-step>
    
    <px:is-valid name="step1">
        <p:input port="source"/>
        <p:input port="schema">
            <p:document href="BookStore.xsd"/>
        </p:input>
    </px:is-valid>
    
</p:declare-step>