<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" name="validate-and-track">
        <p:input port="source">
            <p:document href="document.xml"/>
        </p:input>
        <p:output port="result" sequence="true" />
    

    <p:validate-with-xml-schema assert-valid="true" mode="strict" name="xsdValidation">
        <p:input port="schema">
            <p:document href="check-classifications.xsd"/>
        </p:input>
    </p:validate-with-xml-schema>

    
    <p:validate-with-schematron phase="classificationValidation" name="checkClassifications">
        <p:input port="source">
            <p:pipe step="validate-and-track" port="source" />
        </p:input>
        <p:input port="schema">
            <p:document href="check-classifications-and-reserved-words.sch"/>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:validate-with-schematron>
    
    
    <p:validate-with-schematron phase="reservedWordValidation" name="checkReservedWords">
        <p:input port="source">
            <p:pipe step="checkClassifications" port="result" />
        </p:input>
        <p:input port="schema">
            <p:document href="check-classifications-and-reserved-words.sch"/>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:validate-with-schematron>

    <p:identity name="merge">
        <p:input port="source">
            <p:pipe step="checkReservedWords" port="result" />
            <p:pipe step="xsdValidation" port="result" />
        </p:input>
    </p:identity>

</p:declare-step>