<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" name="myPipeline">
    <p:input port="source">
        <p:document href="Book.xml"/>
    </p:input>

    <p:output port="result">
        <p:pipe step="group" port="result" />
    </p:output>

    <p:group name="group">

        <p:output port="result">
            <p:pipe step="choose" port="result" />
        </p:output>

        <p:variable name="genre" select="Book/Genre" />
    
        <p:choose name="choose">
            <p:when test="$genre eq 'fiction'">
                <p:output port="result">
                    <p:pipe step="fiction" port="result" />
                </p:output>
                <p:identity name="fiction">
                    <p:input port="source">
                        <p:inline><Hey>It's fiction</Hey></p:inline>
                    </p:input>
                </p:identity>
            </p:when>
            <p:when test="$genre eq 'non-fiction'">
                <p:output port="result">
                    <p:pipe step="non-fiction" port="result" />
                </p:output>
                <p:identity name="non-fiction">
                    <p:input port="source">
                        <p:inline><Hey>It's non-fiction</Hey></p:inline>
                    </p:input>
                </p:identity>
            </p:when>
            <p:when test="$genre eq 'philosophy'">
                <p:output port="result">
                    <p:pipe step="philosophy" port="result" />
                </p:output>
                <p:identity name="philosophy">
                    <p:input port="source">
                        <p:inline><Hey>It's philosophy</Hey></p:inline>
                    </p:input>
                </p:identity>
            </p:when>
            <p:otherwise>
                <p:output port="result">
                    <p:pipe step="other" port="result" />
                </p:output>
                <p:identity name="other">
                    <p:input port="source">
                        <p:inline><Hey>I don't recognize this genre</Hey></p:inline>
                    </p:input>
                </p:identity>
            </p:otherwise>
        </p:choose>
    </p:group>

</p:declare-step>

