<p:library xmlns:p="http://www.w3.org/ns/xproc"
           xmlns:Federal-policy="http://www.Federal-policy.gov/storage"
           xmlns:IT="http://www.company.com/IT/storage"
           xmlns:validate="http://www.company.com/rules/validation">
    
    <p:declare-step type="Federal-policy:storage-rule"
                    name="storage-rule">

        <p:output port="result" />

        <p:identity>
            <p:input port="source">
                <p:inline>
                    <storage-duration>7 years</storage-duration>
                </p:inline>
            </p:input>
        </p:identity>

    </p:declare-step>
    
    <p:declare-step type="IT:storage-rule"
                    name="storage-rule">

        <p:output port="result" />

        <p:identity>
            <p:input port="source">
                <p:inline>
                    <storage-duration>3 years</storage-duration>
                </p:inline>
            </p:input>
        </p:identity>

    </p:declare-step>
    
    <p:declare-step type="validate:storage-rule"
                    name="storage-rule">
        
        <p:output port="result">
            <p:pipe step="compare-storage-rules" port="result" />
        </p:output>
        
        <Federal-policy:storage-rule name="Federal" />

        <IT:storage-rule name="IT" />
   
        <p:compare name="compare-storage-rules">
            <p:input port="source">
                <p:pipe step="Federal" port="result"/>
            </p:input>
            <p:input port="alternate">
                <p:pipe step="IT" port="result"/>
            </p:input>
        </p:compare>
        
    </p:declare-step>

</p:library>