<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" 
                name="process-juicers">

        <p:input port="source">
            <p:document href="juicers.xml"/>
        </p:input>
        <p:output port="result">
            <p:pipe step="store" port="result"/>
        </p:output>
    
    <p:delete match="//*[.='']"
              name="delete-empty-elements">
        <p:input port="source">
            <p:pipe step="process-juicers" port="source"/>
        </p:input>
    </p:delete>
    
    <p:xslt name="transform">
        <p:input port="source">
            <p:pipe step="delete-empty-elements" port="result"/>
        </p:input>
        <p:input port="stylesheet">
            <p:inline>
                <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                                version="1.0" >

                    <xsl:output method="html" indent="yes"/>

                    <xsl:template match="/">
                        <html>
                            <head>
                                <title>Juicer Names</title>
                            </head>
                            <body>
                               <h1>Juicer Names</h1>
                               <ul>
                                   <xsl:apply-templates select="//name" />
                               </ul>
                           </body>
                       </html>
                   </xsl:template>

                   <xsl:template match="name">
                       <li>
                           <xsl:value-of select="." />
                       </li>
                   </xsl:template>

               </xsl:stylesheet>
           </p:inline>
        </p:input>
        <p:input port="parameters">
            <p:empty/>
        </p:input>
    </p:xslt>

    <p:identity/>

    <p:store href="results.html" name="store" />
</p:declare-step>
